Change log for uif package in Ubuntu

123 of 23 results
Published in hirsute-release 17 hours ago
Published in groovy-release on 2020-04-24
Published in focal-release on 2019-12-05
Deleted in focal-proposed (Reason: moved to Release)
uif (1.1.9-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_use-iptables-legacy.patch. Work-around iptables->nftables switch
      in Debian. Full nftables support is being worked on on the upstream side.
      (Closes: #932265).
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.

 -- Mike Gabriel <email address hidden>  Wed, 04 Dec 2019 16:53:09 +0100

Available diffs

Superseded in focal-release on 2019-12-05
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Deleted in cosmic-proposed (Reason: moved to release)
uif (1.1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to
      salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Add to B-D: cdbs.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/{control,compat}:
    + Bump DH compat level to version 10 (for now, until CDBS supports level
      11).
  * debian/rules:
    + Switch from dh_make generated template to CDBS.
  * debian/uif.init:
    + Update from upstream. Trivial change.
  * debian/*: White-space cleanup.

 -- Mike Gabriel <email address hidden>  Sun, 19 Aug 2018 02:15:35 +0200

Available diffs

Superseded in cosmic-release on 2018-08-22
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
uif (1.1.8-2) unstable; urgency=medium

  * debian/control:
    + Fix package name in D (libdata-validate-ip -> libdata-validate-ip-perl).

 -- Mike Gabriel <email address hidden>  Mon, 16 Jan 2017 00:15:03 +0100

Available diffs

Superseded in zesty-release on 2017-01-16
Deleted in zesty-proposed on 2017-01-17 (Reason: moved to release)
uif (1.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_Debian-name-spelling.patch,
      0002_correctly-ignore-ipv4+6-only-rules.patch.
      Included in this upstream release.
  * debian/control:
    + Bump Standards-Version: to 3.9.8. No changes needed.
    + Use https:// URLs in Vcs-*: fields.
    + Add D (uif): lsb-base.
  * debian/{control,compat}:
    + Bump to DH version level 9.
  * uif.docs:
    + Upstream docs converted to .md files.
  * debian/po:
    + Add pt_BR translation. (Closes: #827495). Many thanks to Adriano Rafael
      Gomes.

 -- Mike Gabriel <email address hidden>  Sun, 15 Jan 2017 16:21:19 +0100

Available diffs

Superseded in zesty-release on 2017-01-16
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed (Reason: moved to release)
uif (1.1.4-2) unstable; urgency=medium


  * debian/po:
    + Add nl.po. Thanks to Frans Spiesschaert! (Closes: #767285).
  * debian/patches:
    + Add 0001_Debian-name-spelling.patch. Fix spelling of the expression
      "Debian package" (written with a capital "D", after browsing various
      project web pages) and another typo in an error message. (Closes:
      #772496).
    + Add 0002_correctly-ignore-ipv4+6-only-rules.patch. Fix severe flaw in
      IPv4-only/IPv6-only rule setup. Don't open IPv4 holes when setting up
      IPv6-only rules and vice versa. (Closes: #779150).

 -- Mike Gabriel <email address hidden>  Wed, 11 Mar 2015 12:19:46 +0100

Available diffs

Superseded in vivid-release on 2015-03-14
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
uif (1.1.4-1) unstable; urgency=medium


  * New upstream release.
  * debian/rules:
    + Don't call dh_lintian twice.
  * lintian:
    + Drop now unused override: maintainer-script-should-not-use-service.

 -- Mike Gabriel <email address hidden>  Tue, 01 Jul 2014 10:37:13 +0200

Available diffs

Superseded in utopic-release on 2014-07-01
Deleted in utopic-proposed on 2014-07-02 (Reason: moved to release)
uif (1.1.3-1) unstable; urgency=low


  * New upstream release.
  * debian/uif.postinst:
    + Provide a DebConf mediated workstation config that also protects
      from IPv6 attacks.
  * debian/patches:
    + Drop 0001_allow-neightbor-advertisement.patch. Part of new release.

 -- Mike Gabriel <email address hidden>  Fri, 13 Jun 2014 21:37:20 +0200

Available diffs

Superseded in utopic-release on 2014-06-14
Deleted in utopic-proposed on 2014-06-15 (Reason: moved to release)
uif (1.1.2-2) unstable; urgency=low


  * debian/patches:
    + Add 0001_allow-neightbor-advertisement.patch. By default allow ICMPv6
      packet type 136, as well. Also allow inbound ICMPv6 by default.

 -- Mike Gabriel <email address hidden>  Tue, 20 May 2014 17:05:31 +0200

Available diffs

Superseded in utopic-release on 2014-05-21
Published in trusty-release on 2014-01-22
Deleted in trusty-proposed (Reason: moved to release)
uif (1.1.1-1) unstable; urgency=low


  * New upstream release.
    - Provide IPv6 support. (Closes: #679744).
  * debian/control:
    + Bump Standards: to 3.9.5. No changes needed.
    + Alioth-canonicalize Vcs-Git: field.
  * debian/rules:
    + Add get-orig-source rule.
    + Leaving clean-up to dh_clean.
  * debian/*.docs:
    + Install README* files into bin:package.
  * debian/rules:
    + Run dh_link during install.
  * debian/uif.postinst:
    + Adapt debconf based configuration of workstation profile to IPv6
      capabilities. Also enable IPv6 by default if uif is configured
      via debconf.
    + Calls of update-rc.d are now handled by debhelper. Add #DEBHELPER#
      macro after the new uif configuration has been created by debconf.
  * debian/uif.init:
    + Provide an LSB compliant init script for Debian.
  * debian/uif.install:
    + Don't install upstream's init script on Debian system.
  * lintian:
    + Provide override for maintainer-script-should-not-use-service. It is
      a false-positive.

 -- Mike Gabriel <email address hidden>  Wed, 22 Jan 2014 16:37:18 +0100

Available diffs

Superseded in trusty-release on 2014-01-22
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
uif (1.0.8-2) unstable; urgency=low


  * /debian/control:
    + Drop uif-ldap from Suggests: field. No such package exists in
      Debian.
  * /debian/uif.docs:
    + Install README file into docs.

 -- Mike Gabriel <email address hidden>  Tue, 06 Aug 2013 21:35:13 +0200

Available diffs

Superseded in saucy-release on 2013-08-27
Deleted in saucy-proposed on 2013-08-28 (Reason: moved to release)
uif (1.0.8-1) unstable; urgency=low


  * New upstream release.
    + Don't fail if Net::LDAP is not installed. (Closes: #273119).
    + Ship default uif.conf file. (Closes: #273117).
  * /debian/control:
    + Add Homepage: field.
    + Move libnet-ldap-perl from Depends: to Recommends: field.
  * /debian/copyright:
    + Use DEP-5 copyright format.
  * /debian/watch:
    + A watch file has been added.
  * /debian/po/de.po:
    + Convert encoding to UTF-8

 -- Mike Gabriel <email address hidden>  Thu, 18 Jul 2013 12:34:13 +0200

Available diffs

Superseded in saucy-release on 2013-07-18
Deleted in saucy-proposed on 2013-07-20 (Reason: moved to release)
uif (1.0.6-3) unstable; urgency=low


  * Add closure for WNPP orphanage bug (Closes: #706290). New maintainer of uif
    is Mike Gabriel <email address hidden>.

 -- Mike Gabriel <email address hidden>  Mon, 29 Apr 2013 08:05:06 +0200

Available diffs

Superseded in saucy-release on 2013-04-29
Deleted in saucy-proposed on 2013-04-30 (Reason: moved to release)
uif (1.0.6-2) UNRELEASED; urgency=low


  * New maintainer: Mike Gabriel <email address hidden>.
  * /debian/control:
    + Add fields: Vcs-Git, Vcs-Browser.
  * /debian/source/format: 3.0 (quilt).
  * Lintian issues fixed:
    + W: uif source: debian-rules-missing-recommended-target build-arch.
    + W. uif source: debian-rules-missing-recommended-target build-indep.
    + W: uif source: stray-translated-debconf-templates templates.de.
  * Bumped Standards: field to: 3.9.4 (after above changes).

 -- Mike Gabriel <email address hidden>  Sun, 28 Apr 2013 23:24:12 +0200

Available diffs

Superseded in saucy-release on 2013-04-29
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
uif (1.0.6-1.1) unstable; urgency=low


  * Non-maintainer upload.
  * Fix "uif uses deprecated position of ! to negate rules":
    patch uif.pl to put '!' before the parameters.
    Thanks to Alex Owen for the bug report and the initial patch.
    (Closes: #683312)
  * Fix "New Japanese translation": add ja.po, thanks to victory.
    (Closes: #692838)

 -- gregor herrmann <email address hidden>  Mon, 14 Jan 2013 20:48:18 +0100

Available diffs

Superseded in raring-release on 2013-01-20
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-17
uif (1.0.6-1) unstable; urgency=low

  * New upstream version.
  * Fix incompatibility with new conntrack modules.
  * Fix pending l10n issues. Debconf translations:
    - Danish. Closes: #590000
  * Fix rate limiting issue. Closes: #514993
  * Made alias interfaces valid interfaces. Closes: #496751
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 16:40:48 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
uif (1.0.5-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility to 7
  * As a consequence, replace obsoleted "dh_clean -k" calls by "dh_prep"
  * Explicitly use 1.0 as source format
  * Fix spelling error ("informations") in README.Debian
  * Drop useless debian/templates.de file
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #513352
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  12 May 2010 09:25:22 +0100

Available diffs

Superseded in maverick-release on 2010-05-12
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
uif (1.0.5-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #492183
    - Italian. Closes: #503763
  * Remove stray debconf translation debian/templates.de. Superseded by
    the regular translation debian/po/de.po for ages.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  05 Nov 2008 18:03:11 +0000

Available diffs

Superseded in jaunty-release on 2008-11-06
Obsolete in intrepid-release on 2013-02-20
uif (1.0.5-4.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Add debconf-updatepo to the clean target. Closes: #469254
  * Remove useless debian/templates.de file
  * Fix typos in debconf templates. Closes: #323959
  * Remove extra spaces in debconf templates in various places
  * Remove overzealous exclamation mark in debconf templates
  * Turn one note into error
  * Debconf translations:
    - Portuguese. Closes: #414056
    - French. Closes: #471541
    - German
    - Finnish. Closes: #478669
  * Basque. Closes: #479450
  * Portuguese. Closes: #479627
  * Czech. Closes: #479630
  * Vietnamese. Closes: #479746
  * Galician. Closes: #479834
  * Russian. Closes: #480252
  * [Lintian] Move po-debconf and debhelper to Build-Depends as they're
    used in the clean target
  * [Lintian] Set debhelper compatibility level in debian/compat, not
    debian/rules

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  16 May 2008 09:49:42 +0100
Superseded in intrepid-release on 2008-05-16
uif (1.0.5-4) unstable; urgency=low

  * Added LSB formatted dependency info (Closes:#469112)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:31:54 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
uif (1.0.5-3.1) unstable; urgency=low

  * Non-maintainer upload to fix the pending l10n issues.
  * Debconf translations:
    - German corrected. Closes: #313873
    - Vietnamese. Closes: #323958

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  27 Apr 2007 13:26:49 +0100
Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
uif (1.0.5-3) unstable; urgency=low


  * Adjusted command line parameter for tail (Closes:#301414) 

 -- Cajus Pollmeier <email address hidden>  Fri, 15 Apr 2005 16:01:09 +0200
Obsolete in hoary-release on 2008-03-19
uif (1.0.5-2) unstable; urgency=low


  * Added Czech debconf translation contributed by Miroslav Kure
    (Closes:#287541)

 -- Cajus Pollmeier <email address hidden>  Sun,  2 Jan 2005 10:27:28 +0100
Obsolete in warty-release on 2008-01-09
uif (1.0.4-10) unstable; urgency=low


  * Added catalan debconf translation (Closes:#248756)

 -- Cajus Pollmeier <email address hidden>  Fri, 14 May 2004 11:43:59 +0200
123 of 23 results